package com.jqtx.windows.common.utils;

import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;
import com.jqtx.windows.common.exception.BizException;
import com.jqtx.windows.infrastructure.enums.ExceptionCodeEnum;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * @program: baoyouhua
 * @description:
 * @author: zq
 * @create: 2022-05-24 17:16
 **/
public class TrialUtil {

    public static final BigDecimal irrXi = new BigDecimal(0.12);
    public static final BigDecimal irrFu12 = new BigDecimal(0.0576);
    public static final BigDecimal irrFu18 = new BigDecimal(0.0696);
    public static final BigDecimal irrFu24 = new BigDecimal(0.0696);
    public static final BigDecimal irrFu36 = new BigDecimal(0.078);

    public static List<PlanResp> getList(String loanIntentionAmount, String loanIntentionNum) {
        List list = new ArrayList<>();
        BigDecimal amount = new BigDecimal(loanIntentionAmount);
        if(amount.intValue()<=0){
            throw new BizException(ExceptionCodeEnum.PARAMS_ILLEGAL);
        }
        int  a = Integer.valueOf(loanIntentionNum).intValue();
        BigDecimal irrFu = BigDecimal.ZERO;
        switch (a) {
            case 12:
                irrFu = irrFu12;
                break;
            case 18:
                irrFu = irrFu18;
                break;
            case 24:
                irrFu = irrFu24;
                break;
            case 36:
                irrFu = irrFu36;
                break;
        }
        for (int i = 1; i <= a; i++) {
            PlanResp resp = new PlanResp();
            BigDecimal ben = amount.divide(new BigDecimal(loanIntentionNum), 2, BigDecimal.ROUND_HALF_UP);
            BigDecimal xi = amount.multiply(irrXi).divide(new BigDecimal(12), 2, BigDecimal.ROUND_HALF_UP);
            BigDecimal fu = amount.multiply(irrFu).divide(new BigDecimal(12), 2, BigDecimal.ROUND_HALF_UP);
            BigDecimal add = ben.add(xi).add(fu);
            resp.setPlanAmt(add.toString());
            DateTime dateTime = DateUtil.offsetMonth(DateUtil.date(), i);
            resp.setPlanDate(DateUtil.formatDate(dateTime));
            resp.setPlanIndex(String.valueOf(i));
            list.add(resp);
        }
        return list;
    }
}
