package com.jqtx.windows.infrastructure.enums;

import org.apache.commons.lang3.StringUtils;

import java.util.ArrayList;
import java.util.List;

public enum AttachTypeEnum {

    TAOBAO("taobao", "H5","淘宝收货地址截图"),
    SHOURU("shouru", "H5","收入证明"),
    HUABEI("huabei", "H5","花呗截图"),
    SHOUSHU("shoushu", "H5","手术单照片"),
    SHIMING("shiming", "H5","支付宝实名"),
    ZHIMA("zhima", "H5","芝麻信用分"),
    FUMIAN("fumian", "H5","支付宝负面信息"),
    KEHU("kehu", "H5","客户照片"),
    ALIPAY("alipay", "H5","支付宝相关"),
    QITA("qita", "H5","其他"),
    XCXSHOUSHU("xcxshoushu", "UNI","手术单照片"),
    XCXIDCARD("xcxidcard", "UNI","手持身份证照片"),
    XCXINFORM("xcxinform", "UNI","告知书照片"),
    XCXWARRANT("xcxwarrant", "UNI","担保函照片"),
    XCXBANCARD("xcxbancard", "UNI","银行卡照片"),
    XCXQITA("xcxqita", "UNI","其他"),

    ;

    AttachTypeEnum(String code,String type, String message) {
        this.code = code;
        this.type = type;
        this.message = message;
    }
    public static AttachTypeEnum getEnum(String code) {
        for (AttachTypeEnum loanEnum : AttachTypeEnum.values()) {
            if (StringUtils.equals(loanEnum.getCode(), code)) {
                return loanEnum;
            }
        }
        return null;
    }

    public static List<AttachTypeEnum> getEnumListByType(String type) {
        List<AttachTypeEnum> list = new ArrayList<>();
        for (AttachTypeEnum loanEnum : AttachTypeEnum.values()) {
            if (StringUtils.equals(loanEnum.getType(), type)) {
                list.add(loanEnum);
            }
        }
        return list;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    private String code;

    private String type;
    private String message;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
