package com.jqtx.windows.infrastructure.enums;

public enum CapitalEnum {
    OWNBUSINESS("OWNBUSINESS", 0, "自营"),

    QINJIABUSINESS("QINJIABUSINESS", 1, "亲家"),

    LVXINBUSINESS("LVXINBUSINESS", 2, "绿信"),

    WHLVXINBUSINESS("WHLVXINBUSINESS", 3, "绿信乌鲁木齐"),

    FENGSHENGBUSINESS("FENGSHENGBUSINESS", 4, "丰盛"),
    ;

    private CapitalEnum(String code, int value, String message) {
        this.code = code;
        this.value = value;
        this.message = message;
    }

    public static CapitalEnum getByCode(String code) {
        for (CapitalEnum e : CapitalEnum.values()) {
            if (e.getCode().equals(code)) {
                return e;
            }
        }
        return null;
    }

    public static CapitalEnum getByValue(int value) {
        for (CapitalEnum e : CapitalEnum.values()) {
            if (e.getValue() == value) {
                return e;
            }
        }
        return null;
    }

    private String code;
    private int value;
    private String message;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
