/**
 * yingyinglicai.com Inc.
 * Copyright (c) 2013-2018 All Rights Reserved.
 */
package com.jqtx.windows.infrastructure.enums;

import com.jqtx.windows.domain.model.KeyValueModel;

import java.util.ArrayList;
import java.util.List;

/**
 * 公司所属行业
 *
 * @author jianbin.guo
 * @version $Id: CompanyIndustryEnum.java, v 0.1 2018年4月16日 下午9:02:16 jianbin.guo Exp $
 */
public enum CompanyIndustryEnum {

    ZYZY(-1, "ZYZY", "自由职业", "自由职业"),
    JGSY(0, "JGSY", "机关事业", "公共管理、社会保障和社会组织"),
    NLMY(1, "NLMY", "农林牧渔", "农、林、牧、渔业"),
    JTYS(2, "JTYS", "交通运输", "交通运输、仓储和邮政业"),
    CYLY(3, "CYLY", "餐饮旅游", "住宿和餐饮业"),
    JZGC(4, "JZGC", "建筑工程", "建筑业"),
    XWGG(5, "XWGG", "新闻广告", "文化、体育和娱乐业"),
    YLFY(6, "YLFY", "医疗防疫", "卫生和社会工作"),
    JYWY(7, "JYWY", "教育文员", "教育"),
    JRLC(8, "JRLC", "金融理财", "金融业"),
    JZGL(9, "JZGL", "家政管理", "租赁和商务服务业"),
    ZARY(10, "ZARY", "治安人员", "租赁和商务服务业"),
    TYYD(11, "TYYD", "体育运动", "文化、体育和娱乐业"),
    TXHY(12, "TXHY", "通信行业", "信息传输、软件和信息技术服务业"),
    KYCS(13, "KYCS", "矿业采石", "采矿业"),
    ZZHY(14, "ZZHY", "制造行业", "制造业"),
    GGSY(15, "GGSY", "公共事业", "公共管理、社会保障和社会组织"),
    YLHY(16, "YLHY", "娱乐行业", "文化、体育和娱乐业"),
    GTGS(17, "GTGS", "个体工商", "批发和零售业"),

    FDCY(18, "FDCY", "房地产业", "房地产业"),
    SCGY(19, "SCGY", "生产供应", "电力、热力、燃气及水生产和供应业"),
    KYJS(20, "KYJS", "科研技术", "科学研究和技术服务业"),
    GGGL(21, "GGGL", "公共管理", "水利、环境和公共设施管理业"),
    JMFW(22, "JMFW", "居民服务", "居民服务、修理和其他服务业"),
    GJZZ(23, "GJZZ", "国际组织", "国际组织"),

    QT(24, "QT", "其他", "其他");;

    private int index;

    /**
     * 枚举编号
     */
    private String code;

    /**
     * app枚举详情
     */
    private String message;

    /**
     * 行业描述
     */
    private String desc;

    /**
     * @param code
     * @param message
     */
    private CompanyIndustryEnum(int index, String code, String message, String desc) {
        this.index = index;
        this.message = message;
        this.code = code;
        this.desc = desc;
    }

    public static CompanyIndustryEnum getByName(String name){
        for (CompanyIndustryEnum marriagEnum:CompanyIndustryEnum.values()){
            if(marriagEnum.name().equals(name)){
                return marriagEnum;
            }
        }
        return null;
    }


    public static List getAllToMap() {
        List<KeyValueModel> list = new ArrayList<>();
        for (CompanyIndustryEnum alarmType : values()) {
            KeyValueModel keyValueModel = new KeyValueModel();
            keyValueModel.setKey(alarmType.getMessage());
            keyValueModel.setValue(alarmType.name());
            list.add(keyValueModel);
        }
        return list;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }
}
