package com.jqtx.windows.infrastructure.enums;

import org.apache.commons.lang3.StringUtils;


public enum CreditDetailStatusEnum {

    CREATED("CREATED", "创建中"),
    CREDIT_ING("CREDIT_ING", "审核中"),

    FINISHED("FINISHED", "完成"),
    ;

    /**
     * 枚举编号
     */
    private String code;

    /**
     * 枚举详情
     */
    private String message;

    /**
     * @param code
     * @param message
     */
    CreditDetailStatusEnum(String code, String message) {
        this.message = message;
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public static CreditDetailStatusEnum getEnum(String code) {
        for (CreditDetailStatusEnum loanEnum : CreditDetailStatusEnum.values()) {
            if (StringUtils.equals(loanEnum.getCode(), code)) {
                return loanEnum;
            }
        }
        return null;
    }

    public void setCode(String code) {
        this.code = code;
    }
}
