package com.jqtx.windows.infrastructure.enums;

import org.apache.commons.lang3.StringUtils;

public enum CriusLoanStatusEnum {
    INIT("INIT", "初始化"),
    SUCCESS("SUCCESS", "放款成功"),

    CANCEL("CANCEL", "已取消"),
    ;

    /**
     * 枚举编号
     */
    private String code;

    /**
     * 枚举详情
     */
    private String message;

    /**
     * @param code
     * @param message
     */
    private CriusLoanStatusEnum(String code, String message) {
        this.message = message;
        this.code = code;
    }

    public static String getMessage(String code) {
        for (CriusLoanStatusEnum loanEnum : CriusLoanStatusEnum.values()) {
            if (StringUtils.equals(loanEnum.getCode(), code)) {
                return loanEnum.getMessage();
            }
        }
        return null;
    }


    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

}
