package com.jqtx.windows.infrastructure.enums;

import com.jqtx.windows.domain.model.KeyValueModel;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description:
 * @Author: HuangHaodong
 * @Date: 2019/11/14 16:24
 */
public enum EducationEnum {

    MASTER_DOCTOR("11", "博士"),
    MASTER_ABOVE("14", "硕士"),
    UNIVERSITY("20", "本科"),
    COLLEGE("30", "专科"),
    MIDDLE_SCHOOL("40", "中职"),
    OTHER("90", "其他");

    private String code;

    private String message;


    /**
     * @param code
     * @param message
     */
    private EducationEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public static EducationEnum getByName(String name){
        for (EducationEnum marriagEnum:EducationEnum.values()){
            if(marriagEnum.name().equals(name)){
                return marriagEnum;
            }
        }
        return null;
    }
    public static List getAllToMap() {
        List<KeyValueModel> list = new ArrayList<>();
        for (EducationEnum alarmType : values()) {
            KeyValueModel keyValueModel = new KeyValueModel();
            keyValueModel.setKey(alarmType.getMessage());
            keyValueModel.setValue(alarmType.name());
            list.add(keyValueModel);
        }
        return list;
    }


    /**
     * Getter method for property <tt>code</tt>.
     *
     * @return property value of code
     */
    public String getCode() {
        return code;
    }

    /**
     * Setter method for property <tt>code</tt>.
     *
     * @param code value to be assigned to property code
     */
    public void setCode(String code) {
        this.code = code;
    }

    /**
     * Getter method for property <tt>message</tt>.
     *
     * @return property value of message
     */
    public String getMessage() {
        return message;
    }

    /**
     * Setter method for property <tt>message</tt>.
     *
     * @param message value to be assigned to property message
     */
    public void setMessage(String message) {
        this.message = message;
    }

}
