package com.jqtx.windows.infrastructure.enums;

import com.jqtx.windows.domain.model.KeyValueModel;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description:
 * @Author: HuangHaodong
 * @Date: 2019/11/14 16:23
 */
public enum IncomeStatusEnum {

    THREE_FIVE("5000", "3000 ～ 5000"),
    FIVE_EIGHT("8000", "5000 ～ 8000"),
    EIGHT_TWELVE("12000", "8000 ～ 12000"),
    TWELVE_FIFTEEN("15000", "12000 ～ 15000"),
    FIFTEEN_PLUS("20000", "15000 以上"),
    ;

    private String code;

    private String message;

    /**
     * @param code
     * @param message
     */
    private IncomeStatusEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public static List getAllToMap() {
        List<KeyValueModel> list = new ArrayList<>();
        for (IncomeStatusEnum alarmType : values()) {
            KeyValueModel keyValueModel = new KeyValueModel();
            keyValueModel.setKey(alarmType.getMessage());
            keyValueModel.setValue(alarmType.name());
            list.add(keyValueModel);
        }
        return list;
    }
    public static IncomeStatusEnum getByName(String name){
        for (IncomeStatusEnum marriagEnum:IncomeStatusEnum.values()){
            if(marriagEnum.name().equals(name)){
                return marriagEnum;
            }
        }
        return null;
    }

    /**
     * Getter method for property <tt>code</tt>.
     *
     * @return property value of code
     */
    public String getCode() {
        return code;
    }

    /**
     * Setter method for property <tt>code</tt>.
     *
     * @param code value to be assigned to property code
     */
    public void setCode(String code) {
        this.code = code;
    }

    /**
     * Getter method for property <tt>message</tt>.
     *
     * @return property value of message
     */
    public String getMessage() {
        return message;
    }

    /**
     * Setter method for property <tt>message</tt>.
     *
     * @param message value to be assigned to property message
     */
    public void setMessage(String message) {
        this.message = message;
    }
}
