package com.jqtx.windows.infrastructure.enums;

import com.jqtx.windows.domain.model.KeyValueModel;

import java.util.ArrayList;
import java.util.List;

/**
 * @program: baoyouhua
 * @description:
 * @author: zq
 * @create: 2020-07-22 14:25
 **/
public enum LinkerRelateTypeEnum {
    PARENTS("PARENTS", "父母", "FAMILY"),
    SPOUSE("SPOUSE", "配偶", "FAMILY"),
    CHILDREN("CHILDREN", "子女", "FAMILY"),
    RELATIVE("RELATIVE", "亲属", "FAMILY"),
    WORKMATE("WORKMATE", "同事", "WORK"),
    FRIEND("FRIEND", "朋友", "OTHER"),
    OTHER("OTHER", "其他", "OTHER");

    private String code;
    private String message;
    private String type;

    private LinkerRelateTypeEnum(String code, String message, String type) {
        this.code = code;
        this.message = message;
        this.type = type;
    }


    public static LinkerRelateTypeEnum getByName(String name){
        for (LinkerRelateTypeEnum marriagEnum:LinkerRelateTypeEnum.values()){
            if(marriagEnum.name().equals(name)){
                return marriagEnum;
            }
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public static List getAllToMap() {
        List<KeyValueModel> list = new ArrayList<>();
        for (LinkerRelateTypeEnum alarmType : values()) {
            KeyValueModel keyValueModel = new KeyValueModel();
            keyValueModel.setKey(alarmType.getMessage());
            keyValueModel.setValue(alarmType.name());
            list.add(keyValueModel);
        }
        return list;
    }
}
