package com.jqtx.windows.infrastructure.enums;

import com.jqtx.windows.domain.model.KeyValueModel;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * @program: baoyouhua
 * @description:
 * @author: zq
 * @create: 2022-05-24 14:34
 **/
public enum MarriagEnum {
    UNMARRIED("10", "未婚"),

    MARRIED("20", "已婚"),

    WIDOWER("30", "丧偶"),

    DIVORCE("40", "离婚"),

    HAVECHILDREN("99", "已婚有子"),

    OTHER("99", "其他"),

    ;


    private String code;

    private String message;

    MarriagEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    /**
     * 获得所有枚举类型到map
     *
     * @return
     */
    public static List getAllToMap() {
        List<KeyValueModel> list = new ArrayList<>();
        Arrays.asList(MarriagEnum.values()).forEach(marriagEnum -> list.add(new KeyValueModel(marriagEnum.getMessage(), marriagEnum.name())));
        return list;
    }

    public static MarriagEnum getByName(String name){
        for (MarriagEnum marriagEnum:MarriagEnum.values()){
            if(marriagEnum.name().equals(name)){
                return marriagEnum;
            }
        }
        return null;
    }
}
